org.modeshape.jdbc.metadata

## Class JDBCSQLTypeInfo.DefaultDataClasses

- java.lang.Object
- - org.modeshape.jdbc.metadata.JDBCSQLTypeInfo.DefaultDataClasses

- Enclosing class:
    JDBCSQLTypeInfo

      public static final class JDBCSQLTypeInfo.DefaultDataClasses
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Class<BigDecimal>` | `BIG_DECIMAL`
    `static Class<BigInteger>` | `BIG_INTEGER`
    `static Class<Boolean>` | `BOOLEAN`
    `static Class<Byte>` | `BYTE`
    `static Class<Character>` | `CHAR`
    `static Class<Date>` | `DATE`
    `static Class<Double>` | `DOUBLE`
    `static Class<Float>` | `FLOAT`
    `static Class<Integer>` | `INTEGER`
    `static Class<Long>` | `LONG`
    `static Class<NullType>` | `NULL`
    `static Class<Object>` | `OBJECT`
    `static Class<Short>` | `SHORT`
    `static Class<String>` | `STRING`
    `static Class<Time>` | `TIME`
    `static Class<Timestamp>` | `TIMESTAMP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCSQLTypeInfo.DefaultDataClasses()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STRING

          public static final Class<String> STRING

    - #### BOOLEAN

          public static final Class<Boolean> BOOLEAN

    - #### BYTE

          public static final Class<Byte> BYTE

    - #### SHORT

          public static final Class<Short> SHORT

    - #### CHAR

          public static final Class<Character> CHAR

    - #### INTEGER

          public static final Class<Integer> INTEGER

    - #### LONG

          public static final Class<Long> LONG

    - #### BIG_INTEGER

          public static final Class<BigInteger> BIG_INTEGER

    - #### FLOAT

          public static final Class<Float> FLOAT

    - #### DOUBLE

          public static final Class<Double> DOUBLE

    - #### BIG_DECIMAL

          public static final Class<BigDecimal> BIG_DECIMAL

    - #### DATE

          public static final Class<Date> DATE

    - #### TIME

          public static final Class<Time> TIME

    - #### TIMESTAMP

          public static final Class<Timestamp> TIMESTAMP

    - #### OBJECT

          public static final Class<Object> OBJECT

    - #### NULL

          public static final Class<NullType> NULL

  - ### Constructor Detail

    - #### JDBCSQLTypeInfo.DefaultDataClasses

          public JDBCSQLTypeInfo.DefaultDataClasses()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.